#include <cmath>
#include <iostream>
#include <GL/glew.h>
#include <GLFW/glfw3.h>
#include <glm/glm.hpp>
#include <glm/gtc/type_ptr.hpp>

#include "GLSL.h"
#include "MyCamera.h"
#include "Shape.h"
#include "MatrixStack.h"

class Light
{
        private:
                glm::vec3 pos;
                float intensity;

        public:
                Light();
                Light(const Light &l);
                Light(glm::vec3 p, float i);
                void setPos(glm::vec3 p);
                void setIntensity(float i);
                glm::vec3 getPos();
                float getIntensity();
};
